"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listAllPackages = void 0;
const path_1 = __importDefault(require("path"));
const get_packages_in_topological_order_1 = require("./get-packages-in-topological-order");
const find_monorepo_root_1 = require("./find-monorepo-root");
async function* listAllPackages() {
    const monorepoRoot = await (0, find_monorepo_root_1.findMonorepoRoot)();
    const packages = await (0, get_packages_in_topological_order_1.getPackagesInTopologicalOrder)(monorepoRoot);
    for (const packageInfo of packages) {
        const packageJson = require(path_1.default.join(packageInfo.location, 'package.json'));
        yield { rootDir: monorepoRoot, packageJson, ...packageInfo };
    }
}
exports.listAllPackages = listAllPackages;
//# sourceMappingURL=list-all-packages.js.map