"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withProgress = void 0;
const ora_1 = __importDefault(require("ora"));
async function withProgress(text, fn, ...args) {
    const spinner = (0, ora_1.default)(text).start();
    try {
        const result = await fn.call(spinner, ...args);
        spinner.succeed();
        return result;
    }
    catch (e) {
        if (spinner.isSpinning) {
            spinner.fail();
        }
        throw e;
    }
}
exports.withProgress = withProgress;
//# sourceMappingURL=with-progress.js.map